%define _requires_exceptions BugzillaClient

%define Werror_cflags %nil

Summary:	Tool to manage mind maps
Name: 		vym
Version: 	2.2.4
Release: 	%mkrel 2
Source0: 	http://prdownloads.sourceforge.net/vym/%{name}-%{version}.tar.bz2
URL: 		http://www.insilmaril.de/vym/
License: 	GPLv2
Group: 		Office/Utilities
Requires:	zip
BuildRequires:	qt4-devel
BuildRequires:	libxext-devel

%description
VYM (View Your Mind) is a tool to generate and manipulate maps which
show your thoughts. Such maps can help you to improve your creativity
and effectivity. You can use them for time management, to organize
tasks, to get an overview over complex contexts, to sort your ideas etc.

Maps can be drawn by hand on paper or a flip chart and help to structure
your thoughs. While a tree like structure can be drawn by hand or any
drawing software vym offers much more features to work with such maps.

vym is not another drawing software, but a tool to store and modify
information in an intuitive way. For example you can reorder parts of
the map by pressing a key or add various information like a complete
email by a simple mouse click.

%prep
%setup -q

%build
%qmake_qt4 PREFIX=%{_prefix}
%make

%install
make install INSTALL_ROOT=%{buildroot}

install -Dpm644 icons/%{name}-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -Dpm644 icons/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm

install -Dpm644 icons/%{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

install -Dpm644 icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -Dpm644 icons/%{name}-editor.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-editor.png

#clean files and let files section handle docs
rm -rf %{buildroot}%{_docdir}/packages

mkdir -p %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
[Desktop Entry]
Name=Vym
Comment=View your mind
StartupNotify=true
Terminal=false
Type=Application
Icon=%{name}
Exec=%{name} %%f
MimeType=application/x-vym;application/zip;
Categories=KDE;Qt;Office;Chart;
EOF

mkdir -p %{buildroot}%{_datadir}/mime/packages/
cat << EOF > %{buildroot}%{_datadir}/mime/packages/vym.xml
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-vym">
    <sub-class-of type="application/zip"/>
    <comment>View Your Mind file</comment>
    <glob pattern="*.vym"/>
  </mime-type>
</mime-info>
EOF

%files
%doc LICENSE.txt README.txt doc/*
%{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.2.4-2.mga3
+ Revision: 385583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Sat Dec 22 2012 fwang <fwang> 2.2.4-1.mga3
+ Revision: 333727
- update rpm group
- new version 2.2.4

* Wed Mar 07 2012 dams <dams> 2.0.6-1.mga2
+ Revision: 220773
- new version 2.0.6
- clean spec file

* Wed Sep 07 2011 tv <tv> 1.13.39-1.mga2
+ Revision: 140226
- new release

  + wally <wally>
    - new version 1.13.36

* Sun May 15 2011 pterjan <pterjan> 1.12.8-2.mga1
+ Revision: 99041
- Rebuild for fixed find-requires

* Sun Apr 17 2011 wally <wally> 1.12.8-1.mga1
+ Revision: 87390
- imported package vym

